.. _str: https://docs.python.org/2/library/stdtypes.html

.. _vSphere API 5.5: ../../../../vim/version.rst#vimversionversion9

.. _vim.vm.device.VirtualDevice.BackingInfo: ../../../../vim/vm/device/VirtualDevice/BackingInfo.rst


vim.vm.device.VirtualEthernetCard.OpaqueNetworkBackingInfo
==========================================================
  This class defines backing for a virtual Ethernet card that connects to an opaque network.
:extends: vim.vm.device.VirtualDevice.BackingInfo_
:since: `vSphere API 5.5`_

Attributes:
    opaqueNetworkId (`str`_):

       The opaque network ID
    opaqueNetworkType (`str`_):

       The opaque network type
